Target version:

Description

1)

Durante l'installazione del FUSS-client da immagine "iso",

chiedo ufficialmente quale valore inserire dopo la seguente domanda:

[!] Configuring Kerberos Authentication
Enter the hostnames of Kerberos servers in the TAMBOSI.BLZ Kerberos relam separated by spaces.
Keberos servers for your realm:

"Continua"
So che si deve inserire il nome del server , in questo caso per esempio:
250403ssalase

2)

CHIEDO SE LA SEGUENTE PROCEDURA E' CORRETTA E POSSIBILE. Grazie
- Eseguo il join (fus-client a}-nella-stessa-seuola;

Sgancio il PC dal dominio (fuss-client £

faccio un clone per riutilizzarlo in un altra scuola

- Vado nella nuova scuola

- lo clono su un PC scollegato dalla rete nella nuova scuola
- accendo il PC scollegato dalla rete

- cambio il nome (in /etc/hosts e /etc/hostname)

- spengo il PC

- collego la scheda di rete alla LAN

- accendo il PC

- non cambio la password a root (passwd root)perché ancora non funziona
- Eseguo fuss-clien -r e fuss-client -a sul nuovo server.
(oggi a me non ha funzionato) Vedi anche ticket nr.386

grazie
Andrea

Related issues:
Related to fuss-client - Segnalazione #359: Rigenerazione o meno di /etc/krb5... Risolto 07/27/2017

History

#1 - 08/31/2017 08:18 PM - Andrea Padovan
- Assignee set to TRUELITE

#2 - 08/31/2017 09:11 PM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Simone Piccardi
#3 - 09/01/2017 02:42 PM - Michael Guggenberg
- Related to Segnalazione #359: Rigenerazione o meno di /etc/krb5.keytab added

#4 - 09/04/2017 03:21 PM - Simone Piccardi
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Andrea Padovan

Andrea Padovan ha scritto:

1)
Durante l'installazione del FUSS-client da immagine "iso",
chiedo ufficialmente quale valore inserire dopo la seguente domanda:

[--]
Si, confermo che in fase di installazione la risposta alla domanda sugli hostnames & inserire il nome del server, esattamente come detto.

2)

CHIEDO SE LA SEGUENTE PROCEDURA E' CORRETTA E POSSIBILE. Grazie
- Eseguo il join (fus-client a}-nella-stessa-seuola;

Sgancio il PC dal dominio (fuss-client £

faccio un clone per riutilizzarlo in un altra scuola

- Vado nella nuova scuola

- lo clono su un PC scollegato dalla rete nella nuova scuola
- accendo il PC scollegato dalla rete

- cambio il nome (in /etc/hosts e /etc/hostname)

- spengo il PC

- collego la scheda di rete alla LAN

- accendo il PC

- non cambio la password a root (passwd root)perché ancora non funziona

- Eseguo fuss-clien -r e fuss-client -a sul nuovo server.

E' opportuno cancellare anche /root/krb5.keytab, vedi #359, € una copia che non viene tolta da -r e che resta per i motivi spiegati nel ticket citato;
fuss-client -r & stato pensato per ripulire i dati di un client all'interno di un dominio, ma non & stata presa in considerazione la casistica illustrata che
sposta il client installato altrove. Comunque se resta il keytab sbagliato non funzionera.

Ma mi sfugge lo scopo della procedura, ed in particolare del perché clonare un client di cui si € fatta la join e poi lo sganciamento e non
semplicemente un client appena installato.
#5 - 09/06/2017 10:02 AM - Andrea Padovan

grazie per le info.

leri abbiamo riprovato a creare un client su una VM inserendo i parametri indicati nel ticket.
Abbiamo poi replicato il client con clonezilla dal server (via PXE) ed ha funzionato.
Agganciato poi tutti i client con esito e test positivi!

Provero a fare i test di sgancio ed eliminazione del file /root/krb5.keytab con un client per vedere se funziona anche in un altra scuoa.

Nel nostro lavoro € comodo poter clonare un'immagina gia preparata, aggiornata e testata nel tempo in una scuola per poterla replicare senza
problemi alcuni in alre reti. Se per ogni scuola e ogni PC ci dovessimo mettere a installare tutti i driver e programmi non previsti nella distro dovremo
perdere un sacco di tempo in piu. E' una questione di praticita, e tempo risparmiato. Ora proverd come consigliato nel ticket e faro dei test. Grazie
Andrea

#6 - 09/07/2017 10:38 AM - Andrea Padovan

- Priority changed from Immediata to Normale

#7 - 10/02/2017 10:25 AM - Elena Grandi

Segnalo (come da ultimi sviluppi di #359) che nell'ultima versione di fuss-client & presente un'opzione --purge (o -p) che, aggiunta a -r provvede
anche alla cancellazione dei file krb5.keytab, per favorire il caso d'uso in questione.

#8 - 10/03/2017 10:45 AM - Andrea Padovan

Grazie Elena,
sarebbe ancora meglio se I'opzione --purge (oltre all'eliminazione di /root/krb5.keytab) prevedesse anche la cancellazione dei seguenti files

/etc/krb5.keytab
e
/etc/krb5.conf

fatemi sapere grazie Andrea

#9 - 10/03/2017 10:46 AM - Andrea Padovan

- Assignee changed from Andrea Padovan to Elena Grandi

#10 - 10/03/2017 10:55 AM - Elena Grandi

- Assignee changed from Elena Grandi to Andrea Padovan

Il file /etc/krb5.keytab viene gia cancellato, come scritto in dettaglio su #359 (di qui ero stata breve e avevo scritto solo "i krb5.keytab").

Non serve invece rimuovere /etc/krb5.conf dato che la sua presenza con eventuali configurazioni sbagliate viene gia gestita correttamente da
fuss-client -a.

07/01/2025 3/3


https://work.fuss.bz.it/issues/359
https://work.fuss.bz.it/issues/359
http://www.tcpdf.org

